Browse Source

Updated requirements and force Py3.7 in Heroku

pull/1/head
Benito Marcote 1 year ago
parent
commit
75fb7f9bd8
  1. 4
      README.md
  2. 9
      app.py
  3. 12
      requirements.txt
  4. 2
      setup.py

4
README.md

@ -127,6 +127,7 @@ obs.time_smearing()
```
You can then use of favourite tools or your own scripts to process this information.
@ -151,5 +152,8 @@ SEFD_YY = ZZ # Multiple inputs providing the estimated System Equivalent Flux
```
We are more than glad to integrate any additional station that can be relevant to the purposes of this program.
If you have any suggestion, please open an issue in the GitHub repository, or [mailto:marcote@jive.eu](contact the author).

9
app.py

@ -10,7 +10,7 @@ __author__ = "Benito Marcote"
__credits__ = "Benito Marcote"
__license__ = "LGPLv3+"
__date__ = "2020/04/21"
__version__ = "0.3b2"
__version__ = "1.0rc1"
__maintainer__ = "Benito Marcote"
__email__ = "marcote@jive.eu"
__status__ = "Development" # Prototype, Development, Production.
@ -95,11 +95,9 @@ doc_files = {'About this tool': 'doc-contact.md',
# Initial values
target_source = observation.Source('10h2m3s +50d40m30s', 'Source')
# obs_times = Time('1967-04-17 10:00') + np.arange(0, 600, 15)*u.min
obs_times = Time('1967-04-17 10:00') + np.arange(0, 600, 15)*u.min
selected_band = '18cm'
obs = observation.Observation(target=target_source)
obs.times = Time('2020-06-15 20:00', scale='utc') + np.arange(0, 1200, 30)*u.min
obs.band = selected_band
@ -120,9 +118,6 @@ def get_selected_antennas(list_of_selected_antennas):
return selected_antennas
evn6 = ['Ef', 'Jb2', 'On', 'Hh', 'T6', 'Wb', 'Sv', 'Zc']
obs.stations = get_selected_antennas(evn6)
# external_stylesheets = ["https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css", "http://jive.eu/~marcote/style.css"]

12
requirements.txt

@ -1,5 +1,6 @@
astroplan==0.6
astropy==4.0.1
backcall==0.2.0
Brotli==1.0.9
click==7.1.2
dash==1.16.3
@ -8,22 +9,31 @@ dash-core-components==1.12.1
dash-html-components==1.1.1
dash-renderer==1.8.2
dash-table==4.10.1
decorator==4.4.2
Flask==1.1.2
Flask-Compress==1.7.0
future==0.18.2
gunicorn==20.0.4
itsdangerous==1.1.0
jedi==0.17.2
Jinja2==2.11.2
MarkupSafe==1.1.1
numpy==1.19.2
pandas==1.1.3
parso==0.7.1
patsy==0.5.1
pexpect==4.8.0
pickleshare==0.7.5
plotly==4.11.0
plotly-express==0.4.1
prompt-toolkit==3.0.8
ptyprocess==0.6.0
Pygments==2.7.1
python-dateutil==2.8.1
pytz==2020.1
retrying==1.3.3
scipy==1.5.3
six==1.15.0
statsmodels==0.12.0
traitlets==5.0.5
wcwidth==0.2.5
Werkzeug==1.0.1

2
setup.py

@ -9,7 +9,7 @@ setup(name='vlbiplanobs',
# Versions should comply with PEP 440:
# https://www.python.org/dev/peps/pep-0440/
# [N!]N(.N)*[{a|b|rc}N][.postN][.devN]
version='1.0b2',
version='1.0rc1',
# one-line description or tagline of what your project does
description='Planner for VLBI observations',
# "Description" metadata field

Loading…
Cancel
Save